Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Interface Localizable

All Known Subinterfaces:
  Concept, Database, DatabaseConnection, Document, DocumentBase, Identity, IndexableDocument, ParsableDocument, Pipeline, Query, Query, Repository, Results, SdxObject, SDXThesaurus, SearchLocations, TermHighlighter, Terms, Transformation

All Known Implementing Classes:
  AbstractConcept, AbstractDatabase, AbstractDatabaseBackedRepository, AbstractDataSourceComponentBackedRepository, AbstractDocument, AbstractDocumentBase, AbstractIdentity, AbstractIndexableDocument, AbstractJDBCDatabase, AbstractPipeline, AbstractQuery, AbstractRepository, AbstractSdxObject, AbstractSdxXMLPipe, AbstractThesaurus, AbstractTransformation, HTMLDocument, LuceneDatabase, LuceneIndex, LuceneTermHighlighter, LuceneThesaurus, Results, SearchLocations, SQLDatabaseConnection, Terms, UserDatabase, XMLDocument

public interface Localizable

Created by IntelliJ IDEA. User: rpandey Date: 22 mars 2004 Time: 12:12:39 To change this template use Options | File Templates.

Nested Class Summary
`static interface` | `Localizable.ConfigurationNode`

Method Summary
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getXmlLang()`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setXmlLang(java.lang.String lang)`

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

### getLocale

    public java.util.Locale getLocale()

### setXmlLang

    public void setXmlLang(java.lang.String lang)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.